Package classycle.classfile

# Class MethodHandleConstant

java.lang.Object
classycle.classfile.Constant
classycle.classfile.MethodHandleConstant

public class MethodHandleConstant extends Constant
Constant representing a method handle.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`MethodHandleConstant(Constant[] pool, int referenceKind, int referenceIndex)`
Creates an instance for the specified method reference.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns constant type, reference kind, and index.

### Methods inherited from class classycle.classfile.Constant

`extractConstantPool, getConstant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MethodHandleConstant

public MethodHandleConstant(Constant[] pool, int referenceKind, int referenceIndex)
Creates an instance for the specified method reference.

Parameters:
  `pool` - Constant pool. Needed to resolve references.

## Method Details

### toString

public String toString()
Returns constant type, reference kind, and index.

Overrides:
  `toString` in class `Object`